Name: H5Tget_member_index
Signature:
  int `H5Tget_member_index`(hid_t `type_id`, const char * `field_name` )
Purpose:
  Retrieves the index of a compound or enumeration datatype member.
Description:
  `H5Tget_member_index` retrieves the index of a field of a compound datatype or an element of an enumeration datatype.

  The name of the target field or element is specified in `field_name`.

  Fields are stored in no particular order with index values of 0 through N-1, where N is the value returned by `H5Tget_nmembers`.

Parameters:

hid_t `type_id` | Identifier of datatype to query.
const char * `field_name` | Name of the field or member whose index is to be retrieved.

Returns:
  Returns a valid field or member index if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_member_index_f

      SUBROUTINE h5tget_member_index_f(type_id, name, index, hdferr)
        INTEGER(HID_T), INTENT(IN) :: type_id  ! Datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Member name
        INTEGER, INTENT(OUT) :: index          ! Member index
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
      END SUBROUTINE h5tget_member_index_f

History:

Release | C |  | Fortran90
1.4.5 |  |  | Function introduced in this release.
1.4.4 | Function introduced in this release. |  |